{*******************************************************}
{                                                       }
{      LogTest                                          }
{      Test TLog Component                              }
{                                                       }
{      Rel 1.0                                          }
{      Date 07/05/1998                                  }
{      Copyright (c) 1998 By Gianni Giorgetti Soft      }
{                                                       }
{*******************************************************}
unit ULogTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MyLog;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Log1: TLog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Log1.WriteLogError (['100','Example of Log Error','An error is an error !!!']);
  Log1.WriteLogProcess (['900','The prit is started','Wait please ...']);
  Log1.WriteLogWarning (['500','The printer is out of paper','Insert, it please']);
  Log1.WriteLogProcess (['900','The prit is finished','Good work']);
  Log1.WriteLogError (['100','Another Example of Log Error','']);
  Log1.WriteLogProcess (['','Files is copied','File Names: ABC.DOC - XYZ.XLS - FGH.TXT']);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Log1.WriteLogInfo (['','Log form is Show','']);

  // This method show the Log Form
  Log1.ViewLog;
end;

// Some Logged Events
procedure TForm1.FormCreate(Sender: TObject);
begin
  Log1.WriteLogInfo (['','Application Start','']);
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  Log1.WriteLogInfo (['','Form resizing','']);
end;


end. // program LogTest
